get-campaign-statistics
curl --request POST \
--url https://api.notifly.tech/v1/projects/{projectId}/statistics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2025-06-01",
"end": "2025-06-07"
}
'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/statistics"
payload = {
"start": "2025-06-01",
"end": "2025-06-07"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2025-06-01', end: '2025-06-07'})
};
fetch('https://api.notifly.tech/v1/projects/{projectId}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => '2025-06-01',
'end' => '2025-06-07'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/statistics"
payload := strings.NewReader("{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/v1/projects/{projectId}/statistics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}"
response = http.request(request)
puts response.read_body[
{
"date": "2025-06-01",
"resource_type": "campaign",
"campaign_id": "campaign_example",
"campaign_name": "Welcome",
"variant_id": null,
"variant_name": null,
"tags": [
"summer"
],
"channel": "push-notification",
"channel_subtype": "text",
"brand_message_target": null,
"message": {
"title": "Welcome",
"body": "Hello"
},
"message_sent": 1500,
"message_failed": 23,
"delivered": 1477,
"click": 234,
"conversion": [
{
"name": "purchase",
"type": "total_count_conversion",
"count": 45
}
]
},
{
"date": "2025-06-01",
"resource_type": "user_journey",
"user_journey_id": "journey_example",
"user_journey_name": "Onboarding",
"user_journey_node_id": "node_example",
"user_journey_node_name": "Welcome",
"channel": "kakao-alimtalk",
"channel_subtype": null,
"brand_message_target": null,
"message": {},
"message_sent": 892,
"message_failed": 5,
"delivered": null,
"click": 156,
"conversion": []
}
]{
"error": "InvalidRequest",
"message": "..."
}{
"error": "Unauthorized"
}{
"error": "RequestTimeout"
}{
"error": "InternalServerError",
"message": "..."
}エクスポートと分析
メッセージ統計を取得する
キャンペーンとユーザージャーニーの送信成功数、失敗数、到達数、クリック数、コンバージョン数を日付とチャネル別に取得します。当日のデータは含まれません。
POST
/
v1
/
projects
/
{projectId}
/
statistics
get-campaign-statistics
curl --request POST \
--url https://api.notifly.tech/v1/projects/{projectId}/statistics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "2025-06-01",
"end": "2025-06-07"
}
'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/statistics"
payload = {
"start": "2025-06-01",
"end": "2025-06-07"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2025-06-01', end: '2025-06-07'})
};
fetch('https://api.notifly.tech/v1/projects/{projectId}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start' => '2025-06-01',
'end' => '2025-06-07'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/statistics"
payload := strings.NewReader("{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/v1/projects/{projectId}/statistics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"2025-06-01\",\n \"end\": \"2025-06-07\"\n}"
response = http.request(request)
puts response.read_body[
{
"date": "2025-06-01",
"resource_type": "campaign",
"campaign_id": "campaign_example",
"campaign_name": "Welcome",
"variant_id": null,
"variant_name": null,
"tags": [
"summer"
],
"channel": "push-notification",
"channel_subtype": "text",
"brand_message_target": null,
"message": {
"title": "Welcome",
"body": "Hello"
},
"message_sent": 1500,
"message_failed": 23,
"delivered": 1477,
"click": 234,
"conversion": [
{
"name": "purchase",
"type": "total_count_conversion",
"count": 45
}
]
},
{
"date": "2025-06-01",
"resource_type": "user_journey",
"user_journey_id": "journey_example",
"user_journey_name": "Onboarding",
"user_journey_node_id": "node_example",
"user_journey_node_name": "Welcome",
"channel": "kakao-alimtalk",
"channel_subtype": null,
"brand_message_target": null,
"message": {},
"message_sent": 892,
"message_failed": 5,
"delivered": null,
"click": 156,
"conversion": []
}
]{
"error": "InvalidRequest",
"message": "..."
}{
"error": "Unauthorized"
}{
"error": "RequestTimeout"
}{
"error": "InternalServerError",
"message": "..."
}前日分のデータを確認する時間前日分のデータは午前7時(KST)以降に確認してください。
集計日日別データは、各イベントが発生した日付で集計、表示されます。たとえば、7月23日に送信したキャンペーンで7月24日にクリックが発生した場合、送信イベントは7月23日、クリックイベントは7月24日の集計に含まれます。
メッセージ統計の詳細取得との違いメッセージ統計の詳細取得では、キャンペーンの指定が必要です。このAPIは、指定期間に集計されたキャンペーンとユーザージャーニーの日別件数を返します。
tagsを指定した場合は、指定したタグのいずれかに一致するキャンペーンのみが返され、ユーザージャーニーは含まれません。ボディ
application/json
レスポンス
統計を取得しました。
